BearSSL

Data Fields
br_ssl_server_policy_ec_context Struct Reference

A single-chain EC policy handler. More...

`#include <bearssl_ssl.h>`

## Data Fields
const br_ssl_server_policy_class * | vtable
| Pointer to vtable. More...

## Detailed Description

A single-chain EC policy handler.

This policy context uses a single certificate chain, and an EC private key. The context can be restricted to only signatures or only key exchange.

Due to how TLS is defined, this context must be made aware whether the server certificate was itself signed with RSA or ECDSA. The code does not try to decode the certificate to obtain that information.

Apart from the first field (vtable pointer), its contents are opaque and shall not be accessed directly.

## Field Documentation

## ◆ vtable

const br_ssl_server_policy_class* br_ssl_server_policy_ec_context::vtable

Pointer to vtable.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h